Package org.eclipse.viatra.query.patternlanguage.emf.util

## Class IExpectedPackageNameProvider.NoExpectedPackageNameProvider

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.util.IExpectedPackageNameProvider.NoExpectedPackageNameProvider

- All Implemented Interfaces:
    `IExpectedPackageNameProvider`
  Enclosing interface:
    IExpectedPackageNameProvider

      public static class IExpectedPackageNameProvider.NoExpectedPackageNameProvider
      extends java.lang.Object
      implements IExpectedPackageNameProvider

  A package name provider that always returns null

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.patternlanguage.emf.util.IExpectedPackageNameProvider

      `IExpectedPackageNameProvider.NoExpectedPackageNameProvider`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoExpectedPackageNameProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getExpectedPackageName​(PatternModel model)` | Returns the expected package name for a pattern model based on the location of the model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoExpectedPackageNameProvider

          public NoExpectedPackageNameProvider()

  - ### Method Detail

    - #### getExpectedPackageName

          public java.lang.String getExpectedPackageName​(PatternModel model)

      Description copied from interface: `IExpectedPackageNameProvider`
      Returns the expected package name for a pattern model based on the location of the model. If no package name can be identified, returns null.
      Specified by:
        `getExpectedPackageName` in interface `IExpectedPackageNameProvider`
      Returns:
        an expected package name, or null if no package name can be calculated